Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
Class CoreJavadocOptions

    java.lang.Object
      org.gradle.external.javadoc.CoreJavadocOptions

All Implemented Interfaces:
  MinimalJavadocOptions

Direct Known Subclasses:
  StandardJavadocDocletOptions

    public abstract class CoreJavadocOptions

extends Object
implements MinimalJavadocOptions

Constructor Summary
`` | `CoreJavadocOptions()`
`protected` | `CoreJavadocOptions(JavadocOptionFile optionFile)`

Method Summary
`JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option)`
`JavadocOptionFileOption<Boolean>` | `addBooleanOption(String option, boolean value)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(String option, T value)`
`JavadocOptionFileOption<File>` | `addFileOption(String option)`
`JavadocOptionFileOption<File>` | `addFileOption(String option, File value)`
`JavadocOptionFileOption<List<String>>` | `addMultilineStringsOption(String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addOption(JavadocOptionFileOption<T> option)`
`JavadocOptionFileOption<List<File>>` | `addPathOption(String option)`
`JavadocOptionFileOption<List<File>>` | `addPathOption(String option, String joinBy)`
`JavadocOptionFileOption<String>` | `addStringOption(String option)`
`JavadocOptionFileOption<String>` | `addStringOption(String option, String value)`
`JavadocOptionFileOption<List<String>>` | `addStringsOption(String option)`
`JavadocOptionFileOption<List<String>>` | `addStringsOption(String option, String joinBy)`
`MinimalJavadocOptions` | `bootClasspath(File... bootClasspath)`
`MinimalJavadocOptions` | `breakIterator()`
`MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
`MinimalJavadocOptions` | `classpath(File... classpath)`
`MinimalJavadocOptions` | `classpath(List<File> classpath)`
`void` | `contributeCommandLineOptions(ExecSpec execHandleBuilder)`
`MinimalJavadocOptions` | `doclet(String doclet)`
`MinimalJavadocOptions` | `docletpath(File... docletpath)`
`MinimalJavadocOptions` | `encoding(String encoding)`
`MinimalJavadocOptions` | `extDirs(File... extDirs)`
`List<File>` | `getBootClasspath()`
`List<File>` | `getClasspath()`
`String` | `getDoclet()`
`List<File>` | `getDocletpath()`
`String` | `getEncoding()`
`List<File>` | `getExtDirs()`
`List<String>` | `getJFlags()`
`String` | `getLocale()`
`JavadocMemberLevel` | `getMemberLevel()`
`List<File>` | `getOptionFiles()`
`JavadocOutputLevel` | `getOutputLevel()`
`String` | `getOverview()`
`String` | `getSource()`
`List<String>` | `getSourceNames()`
`boolean` | `isBreakIterator()`
`boolean` | `isVerbose()`
`MinimalJavadocOptions` | `jFlags(String... jFlags)`
`MinimalJavadocOptions` | `locale(String locale)`
`MinimalJavadocOptions` | `optionFiles(File... argumentFiles)`
`MinimalJavadocOptions` | `overview(String overview)` Fluent setter for the overview option.
`MinimalJavadocOptions` | `quiet()`
`void` | `setBootClasspath(List<File> bootClasspath)`
`void` | `setBreakIterator(boolean breakIterator)`
`void` | `setClasspath(List<File> classpath)`
`void` | `setDoclet(String doclet)`
`void` | `setDocletpath(List<File> docletpath)`
`void` | `setEncoding(String encoding)`
`void` | `setExtDirs(List<File> extDirs)`
`void` | `setJFlags(List<String> jFlags)`
`void` | `setLocale(String locale)`
`void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
`void` | `setOptionFiles(List<File> optionFiles)`
`void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
`void` | `setOverview(String overview)`
`void` | `setSource(String source)`
`void` | `setSourceNames(List<String> sourceNames)`
`MinimalJavadocOptions` | `showAll()`
`MinimalJavadocOptions` | `showFromPackage()`
`MinimalJavadocOptions` | `showFromPrivate()`
`MinimalJavadocOptions` | `showFromProtected()`
`MinimalJavadocOptions` | `showFromPublic()`
`MinimalJavadocOptions` | `source(String source)`
`MinimalJavadocOptions` | `sourceNames(String... sourceNames)`
`MinimalJavadocOptions` | `verbose()`
`void` | `write(File outputFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.external.javadoc.MinimalJavadocOptions
`destinationDirectory, getDestinationDirectory, getHeader, getWindowTitle, header, setDestinationDirectory, setHeader, setWindowTitle, windowTitle`

Constructor Detail

### CoreJavadocOptions

    public CoreJavadocOptions()

### CoreJavadocOptions

    protected CoreJavadocOptions(JavadocOptionFile optionFile)

Method Detail

### getOverview

    public String getOverview()

  Specified by:
    `getOverview` in interface `MinimalJavadocOptions`

### setOverview

    public void setOverview(String overview)

  Specified by:
    `setOverview` in interface `MinimalJavadocOptions`

### overview

    public MinimalJavadocOptions overview(String overview)

  Fluent setter for the overview option.

  Specified by:
    `overview` in interface `MinimalJavadocOptions`
  Parameters:
    `overview` - The new overview.
  Returns:
    The `MinimalJavadocOptions` object.

### getMemberLevel

    public JavadocMemberLevel getMemberLevel()

  Specified by:
    `getMemberLevel` in interface `MinimalJavadocOptions`

### setMemberLevel

    public void setMemberLevel(JavadocMemberLevel memberLevel)

  Specified by:
    `setMemberLevel` in interface `MinimalJavadocOptions`

### showFromPublic

    public MinimalJavadocOptions showFromPublic()

  Specified by:
    `showFromPublic` in interface `MinimalJavadocOptions`

### showFromProtected

    public MinimalJavadocOptions showFromProtected()

  Specified by:
    `showFromProtected` in interface `MinimalJavadocOptions`

### showFromPackage

    public MinimalJavadocOptions showFromPackage()

  Specified by:
    `showFromPackage` in interface `MinimalJavadocOptions`

### contributeCommandLineOptions

    public void contributeCommandLineOptions(ExecSpec execHandleBuilder)

  Specified by:
    `contributeCommandLineOptions` in interface `MinimalJavadocOptions`

### showFromPrivate

    public MinimalJavadocOptions showFromPrivate()

  Specified by:
    `showFromPrivate` in interface `MinimalJavadocOptions`

### showAll

    public MinimalJavadocOptions showAll()

  Specified by:
    `showAll` in interface `MinimalJavadocOptions`

### getDoclet

    public String getDoclet()

  Specified by:
    `getDoclet` in interface `MinimalJavadocOptions`

### setDoclet

    public void setDoclet(String doclet)

  Specified by:
    `setDoclet` in interface `MinimalJavadocOptions`

### doclet

    public MinimalJavadocOptions doclet(String doclet)

  Specified by:
    `doclet` in interface `MinimalJavadocOptions`

### getDocletpath

    public List<File> getDocletpath()

  Specified by:
    `getDocletpath` in interface `MinimalJavadocOptions`

### setDocletpath

    public void setDocletpath(List<File> docletpath)

  Specified by:
    `setDocletpath` in interface `MinimalJavadocOptions`

### docletpath

    public MinimalJavadocOptions docletpath(File... docletpath)

  Specified by:
    `docletpath` in interface `MinimalJavadocOptions`

### getSource

    public String getSource()

  Specified by:
    `getSource` in interface `MinimalJavadocOptions`

### setSource

    public void setSource(String source)

  Specified by:
    `setSource` in interface `MinimalJavadocOptions`

### source

    public MinimalJavadocOptions source(String source)

  Specified by:
    `source` in interface `MinimalJavadocOptions`

### getClasspath

    public List<File> getClasspath()

  Specified by:
    `getClasspath` in interface `MinimalJavadocOptions`

### setClasspath

    public void setClasspath(List<File> classpath)

  Specified by:
    `setClasspath` in interface `MinimalJavadocOptions`

### classpath

    public MinimalJavadocOptions classpath(List<File> classpath)

  Specified by:
    `classpath` in interface `MinimalJavadocOptions`

### classpath

    public MinimalJavadocOptions classpath(File... classpath)

  Specified by:
    `classpath` in interface `MinimalJavadocOptions`

### getBootClasspath

    public List<File> getBootClasspath()

  Specified by:
    `getBootClasspath` in interface `MinimalJavadocOptions`

### setBootClasspath

    public void setBootClasspath(List<File> bootClasspath)

  Specified by:
    `setBootClasspath` in interface `MinimalJavadocOptions`

### bootClasspath

    public MinimalJavadocOptions bootClasspath(File... bootClasspath)

  Specified by:
    `bootClasspath` in interface `MinimalJavadocOptions`

### getExtDirs

    public List<File> getExtDirs()

  Specified by:
    `getExtDirs` in interface `MinimalJavadocOptions`

### setExtDirs

    public void setExtDirs(List<File> extDirs)

  Specified by:
    `setExtDirs` in interface `MinimalJavadocOptions`

### extDirs

    public MinimalJavadocOptions extDirs(File... extDirs)

  Specified by:
    `extDirs` in interface `MinimalJavadocOptions`

### getOutputLevel

    public JavadocOutputLevel getOutputLevel()

  Specified by:
    `getOutputLevel` in interface `MinimalJavadocOptions`

### setOutputLevel

    public void setOutputLevel(JavadocOutputLevel outputLevel)

  Specified by:
    `setOutputLevel` in interface `MinimalJavadocOptions`

### verbose

    public MinimalJavadocOptions verbose()

  Specified by:
    `verbose` in interface `MinimalJavadocOptions`

### isVerbose

    public boolean isVerbose()

  Specified by:
    `isVerbose` in interface `MinimalJavadocOptions`

### quiet

    public MinimalJavadocOptions quiet()

  Specified by:
    `quiet` in interface `MinimalJavadocOptions`

### isBreakIterator

    public boolean isBreakIterator()

  Specified by:
    `isBreakIterator` in interface `MinimalJavadocOptions`

### setBreakIterator

    public void setBreakIterator(boolean breakIterator)

  Specified by:
    `setBreakIterator` in interface `MinimalJavadocOptions`

### breakIterator

    public MinimalJavadocOptions breakIterator(boolean breakIterator)

  Specified by:
    `breakIterator` in interface `MinimalJavadocOptions`

### breakIterator

    public MinimalJavadocOptions breakIterator()

  Specified by:
    `breakIterator` in interface `MinimalJavadocOptions`

### getLocale

    public String getLocale()

  Specified by:
    `getLocale` in interface `MinimalJavadocOptions`

### setLocale

    public void setLocale(String locale)

  Specified by:
    `setLocale` in interface `MinimalJavadocOptions`

### locale

    public MinimalJavadocOptions locale(String locale)

  Specified by:
    `locale` in interface `MinimalJavadocOptions`

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `MinimalJavadocOptions`

### setEncoding

    public void setEncoding(String encoding)

  Specified by:
    `setEncoding` in interface `MinimalJavadocOptions`

### encoding

    public MinimalJavadocOptions encoding(String encoding)

  Specified by:
    `encoding` in interface `MinimalJavadocOptions`

### getSourceNames

    public List<String> getSourceNames()

  Specified by:
    `getSourceNames` in interface `MinimalJavadocOptions`

### setSourceNames

    public void setSourceNames(List<String> sourceNames)

  Specified by:
    `setSourceNames` in interface `MinimalJavadocOptions`

### sourceNames

    public MinimalJavadocOptions sourceNames(String... sourceNames)

  Specified by:
    `sourceNames` in interface `MinimalJavadocOptions`

### getJFlags

    public List<String> getJFlags()

  Specified by:
    `getJFlags` in interface `MinimalJavadocOptions`

### setJFlags

    public void setJFlags(List<String> jFlags)

  Specified by:
    `setJFlags` in interface `MinimalJavadocOptions`

### jFlags

    public MinimalJavadocOptions jFlags(String... jFlags)

  Specified by:
    `jFlags` in interface `MinimalJavadocOptions`

### getOptionFiles

    public List<File> getOptionFiles()

  Specified by:
    `getOptionFiles` in interface `MinimalJavadocOptions`

### setOptionFiles

    public void setOptionFiles(List<File> optionFiles)

  Specified by:
    `setOptionFiles` in interface `MinimalJavadocOptions`

### optionFiles

    public MinimalJavadocOptions optionFiles(File... argumentFiles)

  Specified by:
    `optionFiles` in interface `MinimalJavadocOptions`

### write

    public final void write(File outputFile)
                     throws IOException

  Specified by:
    `write` in interface `MinimalJavadocOptions`
  Throws:
    `IOException`

### addOption

    public <T> JavadocOptionFileOption<T> addOption(JavadocOptionFileOption<T> option)

### addStringOption

    public JavadocOptionFileOption<String> addStringOption(String option)

### addStringOption

    public JavadocOptionFileOption<String> addStringOption(String option,
                                                           String value)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(String option)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(String option,
                                                        T value)

### addPathOption

    public JavadocOptionFileOption<List<File>> addPathOption(String option)

### addPathOption

    public JavadocOptionFileOption<List<File>> addPathOption(String option,
                                                             String joinBy)

### addStringsOption

    public JavadocOptionFileOption<List<String>> addStringsOption(String option)

### addStringsOption

    public JavadocOptionFileOption<List<String>> addStringsOption(String option,
                                                                  String joinBy)

### addMultilineStringsOption

    public JavadocOptionFileOption<List<String>> addMultilineStringsOption(String option)

### addBooleanOption

    public JavadocOptionFileOption<Boolean> addBooleanOption(String option)

### addBooleanOption

    public JavadocOptionFileOption<Boolean> addBooleanOption(String option,
                                                             boolean value)

### addFileOption

    public JavadocOptionFileOption<File> addFileOption(String option)

### addFileOption

    public JavadocOptionFileOption<File> addFileOption(String option,
                                                       File value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD